import { axios } from '@/utils/request'

//  产品列表  分页
export const dealerProductList = (params) => {
  const url = `/dealerProduct/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  产品列表  无分页
export const dealerProductQuery = (params) => {
  const url = `/dealerProduct/query`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新增/编辑产品
export const dealerProductSave = params => {
  return axios({
    url: '/dealerProduct/save',
    data: params,
    method: 'post'
  })
}

// 产品 更改状态
export const dealerProductUpdate = params => {
  return axios({
    url: '/dealerProduct/updateStatus',
    data: params,
    method: 'post'
  })
}

// 产品 导出
export const dealerProductExport = params => {
  return axios({
    url: '/dealerProduct/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}

//  产品  详情
export const dealerProductDetail = (params) => {
  const url = `/dealerProduct/findById/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}
