import { axios } from '@/utils/request'

//  仓库列表  有分页
export const warehouseList = (params) => {
  let url = `/warehouse/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  仓库列表  无分页
export const warehouseFindAll = (params) => {
  let url = '/warehouse/findAll'
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 新增/编辑仓库
export const warehouseSave = params => {
  return axios({
    url: '/warehouse/save',
    data: params,
    method: 'post'
  })
}
// 删除仓库
export const warehouseDel = params => {
  return axios({
    url: `/warehouse/del/${params.id}`,
    method: 'post'
  })
}



//  仓位列表  有分页
export const warehouseLocList = (params) => {
  let url = `/warehouseLoc/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  仓位列表  无分页
export const warehouseLocFindAll = (params) => {
  let url = '/warehouseLoc/findAll'
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新增/编辑仓位
export const warehouseLocSave = params => {
  return axios({
    url: '/warehouseLoc/save',
    data: params,
    method: 'post'
  })
}

// 删除仓位
export const warehouseLocDel = params => {
  return axios({
    url: '/warehouseLoc/del',
    data: params,
    method: 'post'
  })
}