import { axios } from '@/utils/request'

//  客户类型列表  分页
export const custTypeList = (params) => {
  let url = `/custType/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  客户类型列表  不分页
export const custTypeFindAll = (params) => {
  let url = `/custType/findAll`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新增/编辑客户类型
export const custTypeSave = params => {
  return axios({
    url: '/custType/save',
    data: params,
    method: 'post'
  })
}

// 删除客户类型
export const custTypeDel = params => {
  return axios({
    url: `/custType/del/${params.id}`,
    method: 'post'
  })
}